Module jdk.jshell
Package jdk.jshell

## Class EvalException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - jdk.jshell.EvalException

All Implemented Interfaces:
  Serializable

    public class EvalException
    extends Exception

Wraps an exception thrown in the remotely executing client. An instance of `EvalException` can be returned in the `SnippetEvent.exception()` query. The name of the exception thrown is available from `getExceptionClassName()`. Message and stack can be queried by methods on `Exception`.

Note that in stack trace frames representing JShell Snippets, `StackTraceElement.getFileName()` will return "#" followed by the Snippet id and for snippets without a method name (for example an expression) `StackTraceElement.getMethodName()` will be the empty string.

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getExceptionClassName()` Returns the name of the Throwable subclass which was thrown in the executing client.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Method Detail

#### getExceptionClassName

    public String getExceptionClassName()

Returns the name of the Throwable subclass which was thrown in the executing client. Note this class may not be loaded in the controlling process. See `Class.getName()` for the format of the string.

Returns:
  the name of the exception class as a String